// Core variables and mixins
@import "../bootstrap/functions";
@import "../bootstrap/mixins";
@import "../bootstrap-extended/mixins";

// Load variable overrides
@import "../core/variables/variables";
@import "../bootstrap/variables";

// Overrides user variable
@import "../core/variables/components-variables";


.add-new-data-sidebar{
  .overlay-bg{
    background: rgba($pure-black,.2);
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    transition: all .3s ease;
    opacity: 0;
    z-index: 1032;
    &.show{
      opacity: 1;
      display: block;
    }
  }

  .add-new-data{
    width: 28.57rem;
    max-width: 90vw;
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    background: $white;
    position: fixed;
    left: auto;
    right: 0;
    top: 0;
    z-index: 1033;
    box-shadow: 0 0 15px 0 rgba($pure-black,.05);
    transform: translateX(100%);
    transition: all .25s ease;
    overflow: hidden;
    &.show{
      transform: translateX(0%);
    }
    .new-data-title{
      padding-bottom: .714rem;
      border-bottom: 1px solid rgba($pure-black,.1);
      .hide-data-sidebar{
        position: relative;
        i{
          position: absolute;
          font-size: 1.71rem;
          right: 0;
          top: -.1428rem;
          cursor: pointer;
        }
      }
    }
    .data-items{
      border-bottom: 1px solid rgba($pure-black,.1);;
      height: calc(100vh - 10rem);
      position: relative;
      .data-field-col{
        margin-top: 1.25rem;

        &.data-list-upload{
          margin-top: 2rem;
        }

        .dropzone{
          min-height: 14.285rem;
          .dz-message{
            height: auto;
            &:before{
              font-size: 2.857rem;
            }
          }
        }
      }
    }

  }
}


// list-group item - i position for customer card
.customer-info{
  &.list-group {
    .list-group-item {
      &:last-child{
        border-bottom-left-radius: $border-radius;
        border-bottom-right-radius: $border-radius;
      }
      .series-info{
        i{
          top: 0;
          margin-right: 0.3rem;
        }
      }
    }
  }
}

// avg - sessions
.avg-sessions{
  .progress{
    margin-top: 0.5rem;
  }
}
// analytics list
.analytics-list{
  &.list-group{
    .list-group-item{
      border: 0;
      &:first-child{
        border-top-left-radius: 0;
        border-top-right-radius: 0;
      }
      .btn{
        display: none;
      }
      &:hover{
        .btn{
          display: inline-block;
        }
      }
    }
  }
}

// Chart-dropdown Button
.chart-dropdown{
  .btn{
    font-size: 0.8rem;
    font-weight: $headings-font-weight;
    &:after{
      left: 0;
      position: relative;
    }
  }
}

@media only screen and (max-width: 992px) and (min-width: 768px) {
  // buttons in analytics-list
  .analytics-list{
    .float-left, .float-right{
      display: block;
    }
  }
}

// IE Specific CSS
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  // make icon center in avatar-content
  #dashboard-analytics, #statistics-card{
    .avatar{
      .avatar-content{
        padding: 0 !important;
      }
    }
  }
}
